package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tfb;
import com.brilliance.isc.common.rmbbop.entity.Tga;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TgaMapper {
    int insert(Tga record);

    int insertSelective(Tga record);

    int updateByPrimaryKeySelective(Tga record);

    int updateByPrimaryKey(Tga record);

    int deleteByPrimaryKey(Tga record);

    int deleteByIds(Collection<Object> collection);

    Tga selectByPrimaryKey(Tga record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tga> dyncRead(Map<String, Object> dyncMap);
}
